Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class AdCountGoal

    java.lang.Object
      com.bea.campaign.model.AdCountGoal

All Implemented Interfaces
  Serializable, Cloneable

    public class AdCountGoal

extends Object
implements Cloneable, Serializable

A goal based upon ad counts.

See Also
  Serialized Form

Nested Class Summary
`static class` | `AdCountGoal.CountType` The type of goal event.
`static class` | `AdCountGoal.Type` The type of goal counts.

Field Summary
`protected List<String>` | `adPaths` The list of ad ids.
`protected AdCountGoal.CountType` | `countType` The impression or click-thru count type.
`protected Long` | `goalCount` The goal's count.
`protected boolean` | `orLogic` The boolean logic.
`protected AdCountGoal.Type` | `type` The local or global count type.

Constructor Summary
`AdCountGoal()` Default constructor.
`AdCountGoal(boolean orLogic, AdCountGoal.Type type, AdCountGoal.CountType countType, Long goalCount)` Constructor with values.

Method Summary
`void` | `addAdPath(String path)` Add an ad path.
`Object` | `clone()` Return a clone of this goal.
`boolean` | `equals(Object o)`
`List<String>` | `getAdPaths()` Get the ad paths.
`AdCountGoal.CountType` | `getCountType()` Get the count type.
`Long` | `getGoalCount()` Get the goal's count.
`long` | `getGoalCountValue()` Get the goal's count.
`boolean` | `getOrLogic()` Return true if this goal uses boolean OR logic, false for AND.
`AdCountGoal.Type` | `getType()` Get the campaign count type.
`int` | `hashCode()`
`void` | `setCountType(AdCountGoal.CountType t)` Set the campaign count type.
`void` | `setCountType(String t)` Set the campaign count type.
`void` | `setGoalCount(long count)` Set the goal's count.
`void` | `setGoalCount(Long count)` Set the goal's count.
`void` | `setOrLogic(boolean orLogic)`
`void` | `setOrLogic(String l)` Set the boolean logic.
`void` | `setType(AdCountGoal.Type t)` Set the campaign count type.
`void` | `setType(String t)` Set the campaign count type.
`String` | `toString()` Get a string representation of this.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### orLogic

    protected boolean orLogic

  The boolean logic. True for boolean OR, false for AND.

### type

    protected AdCountGoal.Type type

  The local or global count type.

### countType

    protected AdCountGoal.CountType countType

  The impression or click-thru count type.

### goalCount

    protected Long goalCount

  The goal's count.

### adPaths

    protected List<String> adPaths

  The list of ad ids.

Constructor Detail

### AdCountGoal

    public AdCountGoal()

  Default constructor.

### AdCountGoal

    public AdCountGoal(boolean orLogic,
                       AdCountGoal.Type type,
                       AdCountGoal.CountType countType,
                       Long goalCount)

  Constructor with values.

Method Detail

### getOrLogic

    public boolean getOrLogic()

  Return true if this goal uses boolean OR logic, false for AND.

### setOrLogic

    public void setOrLogic(boolean orLogic)

### setOrLogic

    public void setOrLogic(String l)
                    throws IllegalArgumentException

  Set the boolean logic.

  Parameters
    `l` - "and" or "or".
  Throws
    `IllegalArgumentException`

### getType

    public AdCountGoal.Type getType()

  Get the campaign count type.

  Returns
    LOCAL or GLOBAL.

### setType

    public void setType(AdCountGoal.Type t)

  Set the campaign count type.

  Parameters
    `t` - LOCAL or GLOBAL.

### setType

    public void setType(String t)
                 throws IllegalArgumentException

  Set the campaign count type.

  Parameters
    `t` - LOCAL or GLOBAL.
  Throws
    `IllegalArgumentException`

### getCountType

    public AdCountGoal.CountType getCountType()

  Get the count type.

  Returns
    IMPRESSION or CLICK_THRU.

### setCountType

    public void setCountType(AdCountGoal.CountType t)

  Set the campaign count type.

  Parameters
    `t` - IMPRESSION or CLICK_THRU.

### setCountType

    public void setCountType(String t)
                      throws IllegalArgumentException

  Set the campaign count type.

  Parameters
    `t` - "impression" or "click-thru".
  Throws
    `IllegalArgumentException`

### getGoalCount

    public Long getGoalCount()

  Get the goal's count.

### getGoalCountValue

    public long getGoalCountValue()

  Get the goal's count.

### setGoalCount

    public void setGoalCount(long count)

  Set the goal's count.

### setGoalCount

    public void setGoalCount(Long count)

  Set the goal's count.

### getAdPaths

    public List<String> getAdPaths()

  Get the ad paths.

### addAdPath

    public void addAdPath(String path)

  Add an ad path.

### toString

    public String toString()

  Get a string representation of this.

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### clone

    public Object clone()

  Return a clone of this goal.

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.